Subject: [PATCH v2 2/2] arm64: dts: rk3399: add powerdomain for typec

From: [email-masked] (Heiko Stuebner)
Date: Thu, 08 Sep 2016 17:16:12 +0200

Am Mittwoch, 7. September 2016, 16:06:17 CEST schrieb Chris Zhong:
> The tcpc power domain will try to power up/down the power of Type-C PHY.
> Hence, we need control it in Type-C PHY driver with the pm_runtime helper.
> 
> Signed-off-by: Chris Zhong <[email-masked]>

applied to my dts64 branch for 4.9 (or 4.10) after fixing the subject 
(rockchip: instead of rk3399:), as even without the advanced logic from patch1 
the driver core will already make sure to at least powerup the domain before 
probe and power-down after remove.

Heiko